### Function

# FwupdPlugin StrsplitFunc

#### Declaration

    gboolean
    (* FuStrsplitFunc) (
      GString* token,
      guint token_idx,
      gpointer user_data,
      GError** error
    )

#### Description [src]

The `fu_strsplit_full()` iteration callback.

#### Parameters

`token`

  Type: `GString`

  A `GString`.

  The data is owned by the caller of the function.

`token_idx`

  Type: `guint`

  The token number.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.